<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: PCF8574.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">PCF8574.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * PCF8574.h</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *  Created on: Mar 2, 2017</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *      Author: kolban</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef COMPONENTS_CPP_UTILS_PCF8574_H_</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define COMPONENTS_CPP_UTILS_PCF8574_H_</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;I2C.h&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classPCF8574.html">   20</a></span>&#160;<span class="keyword">class </span><a class="code" href="classPCF8574.html">PCF8574</a> {</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <a class="code" href="classPCF8574.html#ad0d39528381767afa84080f3687d69ca">PCF8574</a>(uint8_t address);</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classPCF8574.html#a20ddebfc28ba46646ca84f8c75034b34">~PCF8574</a>();</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classPCF8574.html#abfe627fd97523863fa0075422b0158b6">init</a>(gpio_num_t sdaPin = <a class="code" href="classI2C.html#a4d371d14b0fcae3b20f22ee8254536b8">I2C::DEFAULT_SDA_PIN</a>, gpio_num_t clkPin = <a class="code" href="classI2C.html#aece11572688a31925150176f2241e956">I2C::DEFAULT_CLK_PIN</a>);</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    uint8_t <a class="code" href="classPCF8574.html#a90a8a8c48e0530c7371dacabc1f6a282">read</a>();</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classPCF8574.html#a4e484981cdf6451bb36a13f9d3a60400">readBit</a>(uint8_t bit);</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classPCF8574.html#a9663079a19f252a5edc2471f384bc28b">setInvert</a>(<span class="keywordtype">bool</span> value);</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classPCF8574.html#a5d51dcc9e396c431561b8a0b044a9e6b">write</a>(uint8_t value);</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classPCF8574.html#a0d2f2b79548651b4fc40faefdc7156b0">writeBit</a>(uint8_t bit, <span class="keywordtype">bool</span> value);</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <a class="code" href="classI2C.html">I2C</a>* i2c;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    uint8_t lastWrite;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keywordtype">bool</span> invert = <span class="keyword">false</span>;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;};</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COMPONENTS_CPP_UTILS_PCF8574_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="classI2C_html_a4d371d14b0fcae3b20f22ee8254536b8"><div class="ttname"><a href="classI2C.html#a4d371d14b0fcae3b20f22ee8254536b8">I2C::DEFAULT_SDA_PIN</a></div><div class="ttdeci">static const gpio_num_t DEFAULT_SDA_PIN</div><div class="ttdoc">The default SDA pin.</div><div class="ttdef"><b>Definition:</b> I2C.h:24</div></div>
<div class="ttc" id="classPCF8574_html_a4e484981cdf6451bb36a13f9d3a60400"><div class="ttname"><a href="classPCF8574.html#a4e484981cdf6451bb36a13f9d3a60400">PCF8574::readBit</a></div><div class="ttdeci">bool readBit(uint8_t bit)</div><div class="ttdoc">Read the logic level on a given pin.</div><div class="ttdef"><b>Definition:</b> PCF8574.cpp:54</div></div>
<div class="ttc" id="classPCF8574_html_a9663079a19f252a5edc2471f384bc28b"><div class="ttname"><a href="classPCF8574.html#a9663079a19f252a5edc2471f384bc28b">PCF8574::setInvert</a></div><div class="ttdeci">void setInvert(bool value)</div><div class="ttdoc">Invert the bit values. Normally setting a pin's value to 1 means that a high signal is generated and ...</div><div class="ttdef"><b>Definition:</b> PCF8574.cpp:107</div></div>
<div class="ttc" id="classPCF8574_html_ad0d39528381767afa84080f3687d69ca"><div class="ttname"><a href="classPCF8574.html#ad0d39528381767afa84080f3687d69ca">PCF8574::PCF8574</a></div><div class="ttdeci">PCF8574(uint8_t address)</div><div class="ttdoc">Class constructor.</div><div class="ttdef"><b>Definition:</b> PCF8574.cpp:20</div></div>
<div class="ttc" id="classPCF8574_html_a5d51dcc9e396c431561b8a0b044a9e6b"><div class="ttname"><a href="classPCF8574.html#a5d51dcc9e396c431561b8a0b044a9e6b">PCF8574::write</a></div><div class="ttdeci">void write(uint8_t value)</div><div class="ttdoc">Set the output values of the device.</div><div class="ttdef"><b>Definition:</b> PCF8574.cpp:66</div></div>
<div class="ttc" id="classPCF8574_html_abfe627fd97523863fa0075422b0158b6"><div class="ttname"><a href="classPCF8574.html#abfe627fd97523863fa0075422b0158b6">PCF8574::init</a></div><div class="ttdeci">void init(gpio_num_t sdaPin=I2C::DEFAULT_SDA_PIN, gpio_num_t clkPin=I2C::DEFAULT_CLK_PIN)</div><div class="ttdoc">Initialize the PCF8574 device.</div><div class="ttdef"><b>Definition:</b> PCF8574.cpp:118</div></div>
<div class="ttc" id="classI2C_html_aece11572688a31925150176f2241e956"><div class="ttname"><a href="classI2C.html#aece11572688a31925150176f2241e956">I2C::DEFAULT_CLK_PIN</a></div><div class="ttdeci">static const gpio_num_t DEFAULT_CLK_PIN</div><div class="ttdoc">The default Clock pin.</div><div class="ttdef"><b>Definition:</b> I2C.h:29</div></div>
<div class="ttc" id="classPCF8574_html_a20ddebfc28ba46646ca84f8c75034b34"><div class="ttname"><a href="classPCF8574.html#a20ddebfc28ba46646ca84f8c75034b34">PCF8574::~PCF8574</a></div><div class="ttdeci">virtual ~PCF8574()</div><div class="ttdoc">Class instance destructor.</div><div class="ttdef"><b>Definition:</b> PCF8574.cpp:30</div></div>
<div class="ttc" id="classI2C_html"><div class="ttname"><a href="classI2C.html">I2C</a></div><div class="ttdoc">Interface to I2C functions.</div><div class="ttdef"><b>Definition:</b> I2C.h:19</div></div>
<div class="ttc" id="classPCF8574_html"><div class="ttname"><a href="classPCF8574.html">PCF8574</a></div><div class="ttdoc">Encapsulate a PCF8574 device.</div><div class="ttdef"><b>Definition:</b> PCF8574.h:20</div></div>
<div class="ttc" id="classPCF8574_html_a0d2f2b79548651b4fc40faefdc7156b0"><div class="ttname"><a href="classPCF8574.html#a0d2f2b79548651b4fc40faefdc7156b0">PCF8574::writeBit</a></div><div class="ttdeci">void writeBit(uint8_t bit, bool value)</div><div class="ttdoc">Change the output value of a specific pin.</div><div class="ttdef"><b>Definition:</b> PCF8574.cpp:86</div></div>
<div class="ttc" id="classPCF8574_html_a90a8a8c48e0530c7371dacabc1f6a282"><div class="ttname"><a href="classPCF8574.html#a90a8a8c48e0530c7371dacabc1f6a282">PCF8574::read</a></div><div class="ttdeci">uint8_t read()</div><div class="ttdoc">Read all the input bits from the device.</div><div class="ttdef"><b>Definition:</b> PCF8574.cpp:39</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
